REST APIV2 BetaSuperagent
Chat
Send a message to Poggio and receive a response.
Authorization
BearerToken AuthorizationBearer <token>
Pass an OAuth access token or an API token from Settings > MCP Server.
In: header
Request Body
application/json
message*string
The message to send to Poggio
Length
1 <= length <= 100000streaming?boolean
Whether to stream the response (default: False)
Default
falseResponse Body
application/json
application/json
curl -X POST "https://api.poggio.io/v2beta/superagent/chat" \ -H "Content-Type: application/json" \ -d '{ "message": "string" }'{
"session_id": "string",
"response": "string",
"tool_calls": [
{
"name": "string",
"args": {},
"id": "string",
"result": {}
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Write Account Plan
Write or update a Salesforce account plan. Creates a new account plan or updates an existing one based on the provided parameters. The operation is processed asynchronously.
Create Third Party Registration
Register a new third-party integration (e.g., Salesforce, Gong, Highspot) for your organization.